Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.servlet.http
Class Cookie

    java.lang.Object
      |
      +--javax.servlet.http.Cookie

public class Cookie
extends java.lang.Object
implements java.io.Serializable, java.lang.Cloneable

See Also:
  Serialized Form

Constructor Summary
`Cookie(java.lang.String name, java.lang.String value)`

Method Summary
`java.lang.Object` | `clone()`
`java.lang.String` | `getComment()`
`java.lang.String` | `getDomain()`
`int` | `getMaxAge()`
`java.lang.String` | `getName()`
`java.lang.String` | `getPath()`
`boolean` | `getSecure()`
`java.lang.String` | `getValue()`
`int` | `getVersion()`
`void` | `setComment(java.lang.String comment)`
`void` | `setDomain(java.lang.String domain)`
`void` | `setMaxAge(int maxAge)`
`void` | `setPath(java.lang.String path)`
`void` | `setSecure(boolean secure)`
`void` | `setValue(java.lang.String value)`
`void` | `setVersion(int version)`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Cookie

    public Cookie(java.lang.String name,
                  java.lang.String value)

Method Detail

### setComment

    public void setComment(java.lang.String comment)

### getComment

    public java.lang.String getComment()

### setDomain

    public void setDomain(java.lang.String domain)

### getDomain

    public java.lang.String getDomain()

### setMaxAge

    public void setMaxAge(int maxAge)

### getMaxAge

    public int getMaxAge()

### setPath

    public void setPath(java.lang.String path)

### getPath

    public java.lang.String getPath()

### setSecure

    public void setSecure(boolean secure)

### getSecure

    public boolean getSecure()

### getName

    public java.lang.String getName()

### setValue

    public void setValue(java.lang.String value)

### getValue

    public java.lang.String getValue()

### getVersion

    public int getVersion()

### setVersion

    public void setVersion(int version)

### clone

    public java.lang.Object clone()

  Overrides:
    clone in class java.lang.Object

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD